org.hibernate.validator.internal.metadata.facets

## Interface Cascadable

- All Known Implementing Classes:
    ParameterMetaData, PropertyMetaData, ReturnValueMetaData

      public interface Cascadable

  Provides a unified view on cascadable elements of all kinds, be it properties of a Java bean, the arguments passed to an executable or the value returned from an executable. Allows a unified handling of these elements in the validation routine.
  Author:
    Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `convertGroup(Class<?> originalGroup)` Converts the given validation group as per the group conversion configuration for this element (as e.g.
    `ElementType` | `getElementType()`
    `Set<GroupConversionDescriptor>` | `getGroupConversionDescriptors()` Returns a set with `GroupConversionDescriptor`s representing the group conversions of this cascadable.
    `ElementKind` | `getKind()` Returns the element kind of this cascadable.
    `String` | `getName()` Returns the name of this cascadable element.
    `Object` | `getValue(Object parent)` Retrieves the value of this element from the given object.

- - ### Method Detail

    - #### convertGroup

          Class<?> convertGroup(Class<?> originalGroup)

      Converts the given validation group as per the group conversion configuration for this element (as e.g. specified via `@ConvertGroup`.
      Parameters:
        `originalGroup` - The group to convert.
      Returns:
        The converted group. Will be the original group itself in case no conversion is to be performed.

    - #### getGroupConversionDescriptors

          Set<GroupConversionDescriptor> getGroupConversionDescriptors()

      Returns a set with `GroupConversionDescriptor`s representing the group conversions of this cascadable.
      Returns:
        A set with group conversion descriptors. May be empty, but never `null`.

    - #### getElementType

          ElementType getElementType()

    - #### getValue

          Object getValue(Object parent)

      Retrieves the value of this element from the given object.
      Parameters:
        `parent` - The object to retrieve the value from.
      Returns:
        This element's value.

    - #### getName

          String getName()

      Returns the name of this cascadable element.
      Returns:
        The name of this cascadable element.

    - #### getKind

          ElementKind getKind()

      Returns the element kind of this cascadable.
      Returns:
        The kind of this cascadable.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved